<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

//Edit this:
$sitemap_page_id = 53;
$imprint_page_id = 18;
$contact_page_id = 5;
$numberofheaderpics = 10;
$the_amp = "&"; // "&amp;" OR: "&"

//------------------------------------------------------------------------------------------------
$sitemaplink = '[wblink'.$sitemap_page_id.']';
$contactlink = '[wblink'.$contact_page_id.']';
$searchlink = WB_URL.'/search/index.php';


$style = '';
if(isset($_GET['style'])) { $style = $_GET['style']; }
$printlink = '?style=print';
if (count($_GET)>0) {$printlink= ''.$_SERVER['REQUEST_URI'].$the_amp.'style=print';}
if ($style == 'print') {$printlink = '#';}

$headerlinks = '
<a href="'.$printlink.'" rel="nofollow"><img src="'.TEMPLATE_DIR.'/img/print.gif" width="15" height="19" alt="print" title="Print"  /></a>
<a href="'.$searchlink.'" rel="nofollow"><img src="'.TEMPLATE_DIR.'/img/search.gif" width="17" height="19" alt="search" title="Search" /></a>
<a href="[wblink'.$sitemap_page_id.']"><img src="'.TEMPLATE_DIR.'/img/sitemap.gif" width="16" height="19" alt="sitemap" title="Sitemap" /></a>
<a href="[wblink'.$imprint_page_id.']" rel="nofollow"><img src="'.TEMPLATE_DIR.'/img/imprint.gif" width="8" height="19" alt="imprint" title="Imprint" /></a>
<a href="[wblink'.$contact_page_id.']" rel="nofollow"><img src="'.TEMPLATE_DIR.'/img/contact.gif" width="18" height="19" alt="contact" title="Contact" /></a>
<a href="'.WB_URL.'"><img src="'.TEMPLATE_DIR.'/img/home.gif" width="20" height="19" alt="home" title="Home" /></a>
';
$wb->preprocess($headerlinks);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<?php if(function_exists('simplepagehead')) {
	simplepagehead(); 
} else { ?>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<?php } 

	if(function_exists('register_frontend_modfiles')) {
	register_frontend_modfiles('css');
	register_frontend_modfiles('js');
} ?>
<link href="<?php echo TEMPLATE_DIR; ?>/editor.css" rel="stylesheet" type="text/css" />
<?php if ($style == 'print') {	echo '
<link href="'.TEMPLATE_DIR.'/print.css" rel="stylesheet" type="text/css" />
<meta name="robots" content="noindex,nofollow" />
'; } else { ?>
<link href="<?php echo TEMPLATE_DIR; ?>/screen.css" rel="stylesheet" type="text/css" />

<!--Ultimate Fade-In Slideshow (v1.51):  Dynamic Drive http://www.dynamicdrive.com This notice MUST stay intact for legal use Visit http://www.dynamicdrive.com/ for this script and 100s more.-->


<script src="<?php echo TEMPLATE_DIR; ?>/header.js" type="text/javascript"></script>
<script type="text/javascript">var fadeimages=new Array()
<?php 
$i = 0;
$nr = $page_id % $numberofheaderpics;
$headerstartnr = $nr;
while ($i<$numberofheaderpics) {
echo 'fadeimages['.$i.']=["'.TEMPLATE_DIR.'/headers/head'.$nr.'.jpg", "", ""]
';
$i++;
$nr++; if ($nr >= $numberofheaderpics) {$nr = 0;}
}
?>
var fadebgcolor="white"</script>


<!--[if lte IE 6]>
	<style type="text/css" media="all">
		@import "<?php echo TEMPLATE_DIR; ?>/ie6.css";
		body {behavior: url("<?php echo TEMPLATE_DIR; ?>/csshover.htc");}
		img, .pngtrans { behavior: url("<?php echo TEMPLATE_DIR; ?>/hm_iepngfix.htc"); }

	</style>
<![endif]-->
<?php } ?>
</head>
<body>
<?php if ($style == 'print') {
	// Print output
	echo '<p><img src="'.TEMPLATE_DIR.'/img/print-logo.jpg" alt="" /></p>';
	echo '<div class="breadcrumbs">'; show_menu2(0, SM2_ROOT, SM2_ALL, SM2_CRUMB, ' &raquo; [a][menu_title]</a>', '', '', '', '<a href="'.WB_URL.'">'.WB_URL.'</a> &raquo; [a][menu_title]</a>'); echo '</div><hr/>';
	ob_start();		
	page_content(2);
	$page_content_2 = ''.ob_get_contents();
	ob_end_clean();
	if ($page_content_2 != '') { echo '
		<div class="maincontentnarrow"><div class="inner">'; page_content(1); echo '</div></div>
		<div class="rightbox"><div class="inner">'.$page_content_2.'</div><div style="height:1px;clear:both;"></div></div>
	'; } else {
		echo '<div class="maincontent"><div class="inner">'; page_content(1); echo '</div></div>';
	}
	echo '<div style="clear:both">'; page_footer(); echo '</div>';


} else { 
// Screen output ?><div class="mainbox">
	<div class="stealth"><a href="#startcontent" name="top">skip to content</a></div>
	<div class="infobox"><div class="inner"><strong><?php echo WEBSITE_TITLE; ?></strong><br /><span><?php page_header(); ?></span>
		<div class="display_anynews"><?php if (function_exists('displayNewsItems')) { 	displayNewsItems(); } else { echo 'Please install Anynews >= v0.60'; }?></div>			
		<div class="display_latest"><h2>Latest Comments</h2><?php if(!function_exists('display_lastcomments')) {echo 'Please install LastComments!';} else { display_lastcomments();  }?></div>
	</div><img src="<?php echo TEMPLATE_DIR; ?>/img/infobox-bottom.jpg" width="230" height="68" alt="" class="infobox-bottom" /></div><!-- end infobox-->
	<div class="contentbox">
		<div class="topheader"><div class="inner"><?php echo $headerlinks ; ?></div></div><!-- end topheader-->
		<div id="navContainer"><div id="nav" class="pngtrans">
			<?php show_menu2(0, SM2_ROOT, SM2_ALL, SM2_ALL, '<li><a href="[url]" class="[class] navlev[level]">[menu_title]</a>', "</li>", '<ul class="ullev[level]">', "</ul>", true, '<ul id="header_menu" class="menu">');?>
		</div><!-- end nav -->
	</div><!-- end navContainer -->	
		<div class="fadebox" style="background-image:url(<?php echo TEMPLATE_DIR.'/headers/head'.$headerstartnr; ?>.jpg);">
		<script type="text/javascript">
		//new fadeshow(IMAGES_ARRAY_NAME, slideshow_width, slideshow_height, borderwidth, delay, pause (0=no, 1=yes), optionalRandomOrder)
		new fadeshow(fadeimages, 740, 120, 0, 10000)
		</script>
		</div><!-- end fadebox -->
		
		<div class="breadcrumbs"><?php show_menu2(0, SM2_ROOT, SM2_ALL, SM2_CRUMB, '<span class="[class]">[a][menu_title]</a></span>', '', '', '', '<a href="'.WB_URL.'">Start</a> <span class="[class]">[a][menu_title]</a></span>') ?></div><!-- end breadcrumbs-->
		<?php ob_start();		
	page_content(2);
	$page_content_2 = ''.ob_get_contents();
	ob_end_clean();
	if ($page_id===0) {$page_content_2 = '<img src="'.TEMPLATE_DIR.'/img/fragezeichen.jpg" width="160" height="155" alt="" />';}
	if ($page_content_2 != '') { echo '
		<div class="maincontentnarrow"><div class="inner">'; page_content(1); echo '</div></div>
		<div class="rightbox"><div class="inner">'.$page_content_2.'</div><div style="height:1px;clear:both;"></div></div>
		'; } else {
		echo '<div class="maincontent"><div class="inner">'; page_content(1); echo '</div></div>';
		}
	?>
		
	<div style="clear:both"> </div></div><!-- end contentbox-->
	<!-- end contentContainer -->
	<div class="clearcontent"> </div>
</div><!-- end main -->

<div class="footerbox"><div class="uplift"><a href="#top"><img src="<?php echo TEMPLATE_DIR; ?>/img/up.gif" width="18" height="14" alt="up" /></a></div><div class="footer"><div class="page_id"><?php echo $page_id. '</div><div class="innerfooter">'; page_footer(); if ($page_id==$sitemap_page_id OR $page_id==$imprint_page_id OR $page_id==$contact_page_id) {echo '<br/><span style="font-size:10px; font-weight:normal ! important;">Designed by <a href="http://www.beesign.com/" target="_blank">Webdesign Wien</a></span>'; }?></div></div></div>
<?php } ?>
</body>
</html>